PFont impact;
PFont fgb;
PFont helv;
PFont verd;
PFont pts;
PFont off;
PFont neutra;
PFont lily;
PFont inter;
PFont avant;

import ddf.minim.spi.*;
import ddf.minim.signals.*;
import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.ugens.*;
import ddf.minim.effects.*;


AudioPlayer player;
Minim minim;

void setup() {
  background(0);
  size(700, 700);
  impact = loadFont("Impact-48.vlw");
  textFont(impact, 32);
  text("BOOM", 550, 75);

  fgb = loadFont("FGBookItal-48.vlw");
  textFont(fgb, 32);
  text("CHIKKA", 175, 200);
  
  helv = loadFont("Helv-48.vlw");
  textFont(helv, 32);
  text("WHO GOTCHA?!", 325, 300);
  
  verd = loadFont("Verd-48.vlw");
  textFont(verd, 32);
  text("YAWK", 450, 600);
  
  pts = loadFont("PTS-48.vlw");
  textFont(pts, 32);
  text("YAAHHH", 150, 500);
  
  off = loadFont("Off-48.vlw");
  textFont(off, 32);
  text("TSS", 450, 425);
  
  neutra = loadFont("Neutra-48.vlw");
  textFont(neutra, 32);
  text("UH HUH", 100, 125);
  
  lily = loadFont("Lily-48.vlw");
  textFont(lily, 32);
  text("ERRA", 75, 350);
  
  inter = loadFont("Inter-48.vlw");
  textFont(inter, 32);
  text("POOMF", 100, 650);
  
  avant = loadFont("Avant-48.vlw");
  textFont(avant, 32);
  text("AHH", 475, 175);
  
  avant = loadFont("Avant-48.vlw");
  textFont(avant, 32);
  text("HEEEYYYY", 475, 225);
}

void draw() {
  background(0);
  textFont(impact, 32);
  text("BOOM", 550, 75);
  
  
  textFont(fgb, 32);
  text("CHIKKA", 175, 200);
  
  
  textFont(helv, 32);
  text("WHO GOTCHA?!", 325, 300);
  
  textFont(verd, 32);
  text("YAWK", 450, 600);
  
  textFont(pts, 32);
  text("YAAHHH", 150, 500);
  
  textFont(off, 32);
  text("TSS", 450, 425);
  
  textFont(neutra, 32);
  text("UH HUH", 100, 125);
  
  textFont(lily, 32);
  text("ERRA", 75, 350);
  
  textFont(inter, 32);
  text("POOMF", 100, 650);
  
  textFont(avant, 32);
  text("AHH", 475, 175);
  
  textFont(avant, 32);
  text("HEEEYYYY", 475, 225);

  if (keyPressed) {
    if (key=='o') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_008.mp3");
      player.play();
      textFont(impact, 60);
      text("BOOM", 550, 75);
    }
    
    if (key=='s') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_009.mp3");
      player.play();
      textFont(fgb, 75);
      text("CHIKKA", 175, 200);
      
    }
    
    if (key=='j') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_010.mp3");
      player.play();
      textFont(helv, 60);
      text("WHO GOTCHA?!", 325, 300);
    }
    
    if (key=='m') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_011.mp3");
      player.play();
      textFont(verd, 55);
      text("YAWK", 450, 600);
    }
    
    if (key=='a') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_012.mp3");
      player.play();
      textFont(pts, 48);
      text("YAAHHH", 150, 500);
    }
    
    if (key=='n') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("tss.mp3");
      player.play();
      textFont(off, 45);
      text("TSS", 450, 425);
    }
    
    if (key=='w') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_014.mp3");
      player.play();
      textFont(neutra, 60);
      text("UH HUH", 100, 125);
    }
    
    if (key=='q') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_015.mp3");
      player.play();
      textFont(lily, 45);
      text("ERRA", 75, 350);
    }
    
    if (key=='z') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_016.mp3");
      player.play();
      textFont(inter, 72);
      text("POOMF", 100, 650);
    }
    
    if (key=='i') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_017.mp3");
      player.play();
      textFont(avant, 55);
      text("AHH", 475, 175);
    }
    
    if (key=='k') {

      background(0);
      minim = new Minim(this);
      player = minim.loadFile("Voice_018.mp3");
      player.play();
      textFont(avant, 55);
      text("HEEEYYYY", 475, 225);
    }
    
    
  }
  
  println(
  "o = BOOM, s = CHIKKA, j = WHO GOTCHA?!, m = YAWK, a = YAAHHH, n = TSS, w = UH HUH, q = ERRA, z = POOMF, i = AHH, k = HEEEYYYY");
  
}
